# Generated by Django 2.2.9 on 2020-01-06 19:56

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Resident',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='StatiegeldLog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('buy_date', models.DateTimeField(verbose_name='Entry date')),
                ('money', models.IntegerField(default=0)),
                ('resident', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='bierlijst.Resident')),
            ],
        ),
        migrations.CreateModel(
            name='CrateLog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('buy_date', models.DateTimeField(verbose_name='date the crate was bought')),
                ('quantity', models.IntegerField(default=0)),
                ('resident', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='bierlijst.Resident')),
            ],
        ),
        migrations.CreateModel(
            name='BeerLog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('drink_date', models.DateTimeField(verbose_name='date drank')),
                ('quantity', models.IntegerField(default=0)),
                ('resident', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='bierlijst.Resident')),
            ],
        ),
    ]
